<template>
  <div class="container">
    <h1 class="display-4">Purchases Report</h1>

    <div v-if="filteredPurchases.length > 0">
      <div v-for="purchase in filteredPurchases" :key="purchase.id" class="purchase-card">
        <h5>Buyer: {{ purchase.buyer }}</h5>
        <p><strong>Chocolates:</strong></p>
        <ul>
          <li v-for="chocolate in purchase.chocolates" :key="chocolate.name || chocolate.chocolateId">
            {{ chocolate.name || chocolate }} - Quantity: {{ chocolate.quantity || 1 }} - Price: {{ chocolate.price || purchase.price }}
          </li>
        </ul>
        <p><strong>Price:</strong> {{ purchase.price }}</p>
        <p><strong>Date:</strong> {{ new Date(purchase.dateTime).toLocaleDateString() }}</p>
        <p><strong>Status:</strong> {{ purchase.status }}</p>
        <p><strong>Comment:</strong> {{ purchase.comment }}</p>
        <p><strong>Rating:</strong> {{ purchase.rating }}</p>
      </div>
    </div>
    <div v-else>
      <p>No purchases found for this user.</p>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  data() {
    return {
      filteredPurchases: []
    };
  },
  async created() {
    try {
      // Preuzimamo korisničko ime iz localStorage
      const user = JSON.parse(localStorage.getItem('fulluser'));
      const username = user.chocolateFactory;

      // Preuzimamo sve kupovine
      const purchasesResponse = await axios.get('http://localhost:3000/purchases');

      // Filtriramo kupovine za ovog korisnika
      this.filteredPurchases = purchasesResponse.data.filter(purchase => purchase.factory === username);
    } catch (error) {
      console.error('Error fetching purchases data:', error);
    }
  }
}
</script>

<style scoped>
.container {
  padding: 20px;
  background-color: #f9f9f9; /* Lagana siva pozadina za bolji kontrast */
}

h1.display-4 {
  color: #FF6A00; /* Narandžasti naslov */
  margin-bottom: 20px;
}

.purchase-card {
  border: 1px solid #ccc;
  padding: 15px;
  margin-bottom: 20px;
  border-radius: 10px;
  background-color: white;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1); /* Blaga senka za efekat dubine */
  transition: background-color 0.3s ease, box-shadow 0.3s ease; /* Efekat pri prelasku mišem */
}

/* Efekat promenjene pozadine pri prelasku mišem */
.purchase-card:hover {
  background-color: #e0c099; /* Svetlija siva pozadina pri hover-u */
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2); /* Dublja senka pri hover-u */
}

h5 {
  color: #333;
  font-size: 1.2rem;
  margin-bottom: 10px;
}

ul {
  padding-left: 20px;
}

li {
  font-size: 1rem;
  color: #555;
}

p {
  font-size: 1rem;
  color: #555555;
  margin-bottom: 10px;
}

p strong {
  color: #FF6A00; /* Naglašene reči su narandžaste */
}

</style>
